Creative Generation
モデルを選んで音楽を生成
文章から曲を生成します。model を省略すると orchestor/music-auto を使い、カタログの選択先へ解決します。 受付後は status_url を next_poll_after_seconds に従って確認し、result_ready が true になったら result_url を取得します。
POST
/v1/creative/music-router/generate
curl --request POST 'https://api.orchestor.io/v1/creative/music-router/generate' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY" \ --header 'Content-Type: application/json' \ --data-raw '{"model": "lyria-3-pro", "prompt": "穏やかなピアノと弦楽器、ゆっくり高まる展開。歌声なし。", "mode": "async"}' \ --header 'Idempotency-Key: 9816bc88-9791-43a1-86c2-876dc7c544e8'{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "music_generation", "status": "queued", "model": "lyria-3-pro", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "lyria-3-pro", "prompt": "穏やかなピアノと弦楽器、ゆっくり高まる展開。歌声なし。", "mode": "async" } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}Authorizations
Authentication details
bearer
Headers
Bodyapplication/jsonrequired
{ "model": "lyria-3-pro", "prompt": "穏やかなピアノと弦楽器、ゆっくり高まる展開。歌声なし。", "mode": "async"}model の省略時は orchestor/music-auto。曲の長さはプロンプトで指定します。
- Additional properties
- Not allowed
Response
application/json
ジョブの現在状態と追跡 URL。受付は処理の完了を意味しません。
Headers
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "music_generation", "status": "queued", "model": "lyria-3-pro", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "lyria-3-pro", "prompt": "穏やかなピアノと弦楽器、ゆっくり高まる展開。歌声なし。", "mode": "async" } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}